GuideLab API

Record Invoice Payment

Record a manual payment against an invoice. Lab-only. Automatically updates invoice status (partially_paid/paid), creates a transaction record, and triggers Xero payment sync if configured.

POST
/invoices/{id}/payment

Record a manual payment against an invoice. Lab-only. Automatically updates invoice status (partially_paid/paid), creates a transaction record, and triggers Xero payment sync if configured.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Invoice ID

Header Parameters

idempotency-key*string
Length1 <= length <= 255

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/invoices/550e8400-e29b-41d4-a716-446655440000/payment" \  -H "idempotency-key: string" \  -H "Content-Type: application/json" \  -d '{    "amount": "string",    "method": "card"  }'
{  "success": true,  "paymentId": "string",  "invoiceStatus": "string",  "amountPaid": "string",  "amountDue": "string",  "overpaymentAmount": "string"}
Empty
Empty
Empty
Empty